Bug 854792 - [WebTrans] ERROR: SimplePanel can only contain one child widget
[WebTrans] ERROR: SimplePanel can only contain one child widget
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 21:26 EDT by Ding-Yi Chen
Modified: 2013-11-26 22:35 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120907-0014)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:23:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-09-05 21:26:55 EDT
Description of problem:
A error message dialog titled "ERROR: SimplePanel can only contain one child widget" showed up immediately after the WebTrans page was loaded.

Version-Release number of selected component (if applicable):
Zanata version 1.8.0-SNAPSHOT (20120906-0954)


How reproducible:
Always

Steps to Reproduce:
1. On any project page, click any active version
2. Click language you want to translate
3. Click the doucment you want to translate
  
Actual results:
A error message dialog titled "ERROR: SimplePanel can only contain one child widget" showed up immediately.

The content of the error message:
=========================================
Stack trace for the error:

Unknown.sK(JsArrayString.java:42)
	Unknown.zK(StackTraceCreator.java:168)
	Unknown.eK(StackTraceCreator.java:421)
	Unknown.we(Throwable.java:72)
	Unknown.pe(Throwable.java:46)
	Unknown.te(Throwable.java:52)
	Unknown.WA(Exception.java:29)
	Unknown.aB(RuntimeException.java:29)
	Unknown.rTc(IllegalStateException.java:28)
	Unknown.aic(SimplePanel.java:67)
	Unknown.dze(GlossaryView.java:231)
	Unknown.ZId(GlossaryPresenter.java:251)
	Unknown.LJd(GlossaryPresenter.java:227)
	Unknown.PJd(GlossaryPresenter.java:222)
	Unknown.S4d(SeamDispatchAsync.java:90)
	Unknown.W4d(SeamDispatchAsync.java:88)
	Unknown.Q9b(RequestCallbackAdapter.java:232)
	Unknown.A_(Request.java:287)
	Unknown.k0(RequestBuilder.java:395)
	Unknown.anonymous(XMLHttpRequest.java:287)
	Unknown.gJ(Impl.java:168)
	Unknown.jJ(Impl.java:213)
	Unknown.anonymous(Impl.java:57)
	

Please recall your actions and take one of the following steps:

    Check if it's a known issue; Or
    Report a problem; Or
    Email Zanata users mailing list
========================================================

Expected results:
Enter without any problem.

Additional info:
You can just close the dialog and continue editing.
Comment 1 Ding-Yi Chen 2012-09-05 22:31:30 EDT
This seems like the consequence of Bug 844509
Comment 2 Patrick Huang 2012-09-05 23:13:00 EDT
(In reply to comment #1)
> This seems like the consequence of Bug 844509

It's not the consequence of bug 844509. 844509 just shows it (or any other error we have in the system)

I've fixed this bug (in Glossary view)
Comment 3 Patrick Huang 2012-09-05 23:17:34 EDT
committed in master:
https://github.com/zanata/zanata/commit/1bb8a62137590506ad63c3fdbd32a34d177bb928
Comment 4 Ding-Yi Chen 2012-09-06 21:37:39 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120907-0014)
Comment 5 Sean Flanigan 2013-11-26 22:13:31 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:15:31 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:18:59 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:23:24 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 9 Sean Flanigan 2013-11-26 22:33:39 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 10 Sean Flanigan 2013-11-26 22:35:55 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.